version: '3.3'

services:

  service-lcm-db:
    image: postgres:10-alpine
    restart: always
    volumes:
      - /tmp/postgres-data-service-lcm:/var/lib/postgresql/data
    environment:
      POSTGRES_DB: v5gservicelcm
      POSTGRES_USER: postgres
      POSTGRES_PASSWORD: postgres
    expose:
      - "5433"
    command: -p 5433 
  rabbitmq:
    image: rabbitmq:3-management
    container_name: rabbitmq
    hostname: rabbitmq
    ports:
        - 5672:5672
        - 15672:15672


  vital-5g-service-lcm:
    container_name: vital-5g-service-lcm
    build:
      context: .
      dockerfile: ./vital-5g-service-lcm/Dockerfile
      args:
          GITLAB_TOKEN: token
    ports:
    #validate this
      - 8083:8083
    command: 
      bash -c "/usr/bin/java -jar /home/ubuntu/vital-5g-service-lcm-0.0.1-SNAPSHOT.jar"
    
    environment:
            - spring.datasource.url=jdbc:postgresql://service-lcm-db:5433/v5gservicelcm
            - portal.catalogue.url=http://10.0.2.15:8082
            - spring.rabbitmq.host=rabbitmq
            
    depends_on: 
      - service-lcm-db
      - rabbitmq


